Bug 170208 - jc1: internal compiler error: Segmentation fault, compiling jjtag
Summary: jc1: internal compiler error: Segmentation fault, compiling jjtag
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4   
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Haley
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-09 02:26 UTC by Brett Foster
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 17:29:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brett Foster 2005-10-09 02:26:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
While compiling an application I wrote for GCJ, I get a segmentation fault when linking a class file to an object file. GCJ 3.xxx from FC3 operated without fault.  The class itself is pretty simple and straight forward. If I comment out the file, the next file seg faults, and so on...

Version-Release number of selected component (if applicable):
gcc version 4.0.1 20050727 (Red Hat 4.0.1-5)

How reproducible:
Always

Steps to Reproduce:
1. Download jjtag ( http://www.ioware.ca/projects/ejtag/jjtag.tgz )
2. perl configure.pl > Makefile
3. make
  

Actual Results:  [fosterb@localhost jjtag]$ make
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/JtagReader.o\
-c ./bin/ca/ioware/devint/test/JtagReader.class
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/JtagWriter.o\
-c ./bin/ca/ioware/devint/test/JtagWriter.class
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/Test.o\
-c ./bin/ca/ioware/devint/test/Test.class
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/parport/PPJtag.o\
-c ./bin/ca/ioware/devint/parport/PPJtag.class
jc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make: *** [nlib/ca/ioware/devint/parport/PPJtag.o] Error 1

--- Commenting out the bad command shows that following commands result in seg faults ---

[fosterb@localhost jjtag]$ make
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/JtagReader.o\
-c ./bin/ca/ioware/devint/test/JtagReader.class
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/JtagWriter.o\
-c ./bin/ca/ioware/devint/test/JtagWriter.class
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/test/Test.o\
-c ./bin/ca/ioware/devint/test/Test.class
#gcj --classpath=./bin:./src:./nsrc -Os \
#-o ./nlib/ca/ioware/devint/parport/PPJtag.o\
#-c ./bin/ca/ioware/devint/parport/PPJtag.class
#gcj --classpath=./bin:./src:./nsrc -Os \
#-o ./nlib/ca/ioware/devint/parport/ParallelPort.o\
#-c ./bin/ca/ioware/devint/parport/ParallelPort.class
g++ -o ./nlib/ca/ioware/devint/parport/ParallelPort_native.o \
        -c ./nsrc/ca/ioware/devint/parport/ParallelPort.cc \
        -I./nsrc
gcj --classpath=./bin:./src:./nsrc -Os -d ./bin -C \
./src/ca/ioware/devint/Jtag.java
gcj --classpath=./bin:./src:./nsrc -Os \
-o ./nlib/ca/ioware/devint/Jtag.o\
-c ./bin/ca/ioware/devint/Jtag.class
jc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make: *** [nlib/ca/ioware/devint/Jtag.o] Error 1


Expected Results:  (No segmentation fault!)

Additional info:

Debian has a similar bug report from another user, but for a different file.
http://lists.debian.org/debian-gcc/2005/08/msg00160.html

Comment 1 Christian Iseli 2007-01-22 11:41:38 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Tom Tromey 2007-04-04 17:29:03 UTC
I grabbed:
  http://www.ioware.ca/projects/ejtag/1.0.0/jjtag.tgz
I tried with gcc svn trunk and this worked fine.
I also tried with the FC-6 gcj and I got link errors,
but no compiler ICE.  So, I am closing this.
Please reopen if you think this is in error.


Note You need to log in before you can comment on or make changes to this bug.